summaryrefslogtreecommitdiffstats
path: root/source/d/guile
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2013-11-04 17:08:47 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 22:57:36 +0200
commit76fc4757ac91ac7947a01fb7b53dddf9a78a01d1 (patch)
tree9b98e6e193c7870cb27ac861394c1c4592850922 /source/d/guile
parent9664bee729d487bcc0a0bc35859f8e13d5421c75 (diff)
downloadcurrent-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.gz
current-76fc4757ac91ac7947a01fb7b53dddf9a78a01d1.tar.xz
Slackware 14.1slackware-14.1
Mon Nov 4 17:08:47 UTC 2013 Slackware 14.1 x86_64 stable is released! It's been another interesting release cycle here at Slackware bringing new features like support for UEFI machines, updated compilers and development tools, the switch from MySQL to MariaDB, and many more improvements throughout the system. Thanks to the team, the upstream developers, the dedicated Slackware community, and everyone else who pitched in to help make this release a reality. The ISOs are off to be replicated, a 6 CD-ROM 32-bit set and a dual-sided 32-bit/64-bit x86/x86_64 DVD. Please consider supporting the Slackware project by picking up a copy from store.slackware.com. We're taking pre-orders now, and offer a discount if you sign up for a subscription. Have fun! :-)
Diffstat (limited to 'source/d/guile')
-rwxr-xr-xsource/d/guile/guile.SlackBuild12
-rw-r--r--source/d/guile/slack-desc2
2 files changed, 9 insertions, 5 deletions
diff --git a/source/d/guile/guile.SlackBuild b/source/d/guile/guile.SlackBuild
index 03433ee56..9f94e55b5 100755
--- a/source/d/guile/guile.SlackBuild
+++ b/source/d/guile/guile.SlackBuild
@@ -1,6 +1,6 @@
#!/bin/sh
-# Copyright 2008, 2009, 2010, 2011 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2008, 2009, 2010, 2011, 2013 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,7 +22,7 @@
PKGNAM=guile
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
BUILD=${BUILD:-1}
# Automatically determine the architecture we're building on:
@@ -58,8 +58,9 @@ else
fi
cd $TMP
-tar xvf $CWD/guile-$VERSION.tar.?z* || exit 1
-cd guile-$VERSION
+rm -rf guile-$VERSION
+tar xvf $CWD/guile-$VERSION.tar.xz || exit 1
+cd guile-$VERSION || exit 1
chown -R root:root .
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
@@ -74,6 +75,9 @@ CFLAGS="$SLKCFLAGS" \
--infodir=/usr/info \
--mandir=/usr/man \
--with-threads \
+ --disable-static \
+ --disable-rpath \
+ --disable-error-on-warning \
--build=$ARCH-slackware-linux
# Does not like parallel make...
diff --git a/source/d/guile/slack-desc b/source/d/guile/slack-desc
index 9b3252807..2c23793f7 100644
--- a/source/d/guile/slack-desc
+++ b/source/d/guile/slack-desc
@@ -6,7 +6,7 @@
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
-guile: guile (GNU's extension language library)
+guile: guile (GNU extension language library)
guile:
guile: This is Guile, Project GNU's extension language library. Guile is an
guile: interpreter for Scheme, packaged as a library that you can link into